summaryrefslogtreecommitdiff
path: root/include/vendor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'include/vendor.sh')
-rwxr-xr-xinclude/vendor.sh5
1 files changed, 1 insertions, 4 deletions
diff --git a/include/vendor.sh b/include/vendor.sh
index 06b10fc7..5ab04221 100755
--- a/include/vendor.sh
+++ b/include/vendor.sh
@@ -394,10 +394,7 @@ patch_rom()
{
rom="${1}"
- check_defconfig "$boarddir" && $err "patch_rom $boarddir: no configs"
-
- set -- "${boarddir}/config/"*
- . "${1}" 2>/dev/null
+ . "$(check_defconfig "${boarddir}")" 2>/dev/null || exit 0
[ "$CONFIG_HAVE_MRC" = "y" ] && \
inject "mrc.bin" "${CONFIG_MRC_FILE}" "mrc" "0xfffa0000"